Subject: Static Table Values (was Re: Straw Poll: Restore Header Table and Static Table Indices)

From: "Simpson, Robby (GE Energy Management)" <[email-masked]>
Date: Wed, 8 Oct 2014 01:13:59 +0000

On 10/7/14, 12:24 AM, "Mark Nottingham" <[email-masked]> wrote:

>The current stance on changing the static table was that we'd do so *if*
>we've agreed to make other breaking changes.

I've been thinking a bit more about this (issue #587 -- Hpack
optimization).  The current stance requires other breaking changes.
Looking at my implementation, adding new values is trivial and does not
appear to break anything.

If implementations have hardcoded any values from the static table, they
would still work as the values are currently blank and are therefore only
potentially hardcoded as literals, right?

We've seen data (earlier threads) that these values will allow for
additional compression and the only drawback I see is the extremely
minimal additional memory requirements.

Could we consider adding these values without the "breaking changes"
requirement?  It seems to me this is a positive with no drawbacks.

- Robby